extends Control

@onready var play_button: TitleButton = $MenuContainers/PlayButton
@onready var rules_button: TitleButton = $MenuContainers/RulesButton
@onready var quit_button: TitleButton = $MenuContainers/QuitButton

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	play_button.set_image("res://assets/ui/title_screen/play_button.png")
	rules_button.set_image("res://assets/ui/title_screen/rules_button.png")
	quit_button.set_image("res://assets/ui/title_screen/quit_button.png")


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass

func _on_quit_pressed() -> void:
	get_tree().quit()
